package co.yixiang.yshop.module.order.convert.storeorderelectronics;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.order.controller.admin.storeorderelectronics.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.storeorderelectronics.StoreOrderElectronicsDO;

/**
 * 订单电子面单记录 Convert
 *
 * @author yshop
 */
@Mapper
public interface StoreOrderElectronicsConvert {

    StoreOrderElectronicsConvert INSTANCE = Mappers.getMapper(StoreOrderElectronicsConvert.class);

    StoreOrderElectronicsDO convert(StoreOrderElectronicsCreateReqVO bean);

    StoreOrderElectronicsDO convert(StoreOrderElectronicsUpdateReqVO bean);

    StoreOrderElectronicsRespVO convert(StoreOrderElectronicsDO bean);

    List<StoreOrderElectronicsRespVO> convertList(List<StoreOrderElectronicsDO> list);

    PageResult<StoreOrderElectronicsRespVO> convertPage(PageResult<StoreOrderElectronicsDO> page);

    List<StoreOrderElectronicsExcelVO> convertList02(List<StoreOrderElectronicsDO> list);

}
